import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';
import 'package:hydrated_bloc/hydrated_bloc.dart';
import 'package:random/models/game_data.dart';

part 'game_state.dart';

class GameCubit extends HydratedCubit<GameState> {
  GameCubit() : super(const GameState());

  void getData(GameState state) {
    emit(state);
  }

  void updateGameState(GameData game) {
    emit(GameState(game: game));
  }

  @override
  GameState? fromJson(Map<String, dynamic> json) {
    GameData game = json['game'] as GameData;

    return GameState(
      game: game,
    );
  }

  @override
  Map<String, dynamic>? toJson(GameState state) {
    return <String, dynamic>{
      'game': state.game?.toJson(),
    };
  }
}
