import 'package:flutter/material.dart';

import 'package:random/config/app_colors.dart';

class CellPainter extends CustomPainter {
  const CellPainter({required this.value});

  final int value;

  Color getIndexedColor(int index) {
    const List<Color> availableColors = [
      AppColors.contentColorCyan,
      AppColors.contentColorGreen,
      AppColors.contentColorOrange,
      AppColors.contentColorPurple,
      AppColors.contentColorYellow,
      AppColors.contentColorPink,
      AppColors.contentColorWhite,
      AppColors.mainTextColor3,
    ];

    return availableColors[index % availableColors.length];
  }

  @override
  void paint(Canvas canvas, Size size) {
    final paintBackground = Paint();
    paintBackground.color = getIndexedColor(value);
    paintBackground.style = PaintingStyle.fill;

    final Rect rectBackground = Rect.fromPoints(Offset(0, 0), Offset(size.width, size.height));
    canvas.drawRect(rectBackground, paintBackground);
  }

  @override
  bool shouldRepaint(CustomPainter oldDelegate) {
    return false;
  }
}
